class_name PauseMain extends VBoxContainer

signal resumeRequested
signal settingsRequested
signal quitRequested

@export var btnResume:Button
@export var btnSettings:Button
@export var btnQuit:Button

func _ready() -> void:
  visible = false
  btnResume.pressed.connect(resumeRequested.emit)
  btnSettings.pressed.connect(settingsRequested.emit)
  btnQuit.pressed.connect(quitRequested.emit)

func open() -> void:
  visible = true
  btnResume.grab_focus()

func close() -> void:
  visible = false

func isOpen() -> bool:
  return visible
